Bug 107549 - Please remove extra un-needed run-time dependency from spec file : gettext.
Please remove extra un-needed run-time dependency from spec file : gettext.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 10:37 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-25 08:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
french translated yum output with and without gettext (407 bytes, application/octet-stream)
2003-10-20 10:40 EDT, Dams
no flags Details

  None (edit)
Description Dams 2003-10-20 10:37:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1) Gecko/20031014
Galeon/1.3.9

Description of problem:
Gettext is a build dependency. Gettext is absolutly not a run-time dependency. 

[anvil@gruyere ~]# grep gettext /usr/src/redhat/SPECS/yum.spec
Requires: python, rpm-python >= 4.1.1, libxml2-python, gettext

Please remove gettext from this line in spec file.


Version-Release number of selected component (if applicable):
yum(0:2.0.4-1).noarch

How reproducible:
Always

Steps to Reproduce:
1. Changing locale to non-us locale.
2. run yum
3. Remove gettext (--nopeps may be needed)
4. run yum


Actual Results:  _no difference at all_ (see attachement). The french
translation is from a partial fr.po i'm writing.

Additional info:
Comment 1 Dams 2003-10-20 10:40:41 EDT
Created attachment 95311 [details]
french translated yum output with and without gettext

File is gzipped, to be sure bugzilla wont eat multi-byte chars.
Comment 2 Seth Vidal 2003-10-20 10:43:19 EDT
I didn't add gettext  to the Requires line in the yum spec file - it was an
addition by someone at red hat.

Anvil, please submit the french translation to yum bugzilla - linux.duke.edu/yum/


-sv
Comment 3 Seth Vidal 2003-11-07 01:15:12 EST
Triage->Easyfix
Comment 4 Jeff Johnson 2003-12-25 08:58:57 EST
Requires: gettext gone in yum-2.0.4-5

Note You need to log in before you can comment on or make changes to this bug.